#include <SoftwareSerial.h>
#include <Cytron_PS2Shield.h>
#include <LiquidCrystal.h>

Cytron_PS2Shield ps2(2, 3);
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);

uint16_t przyciski;
unsigned long tepTimer;

void setup()
{
  ps2.begin(9600); // This baudrate must same with the jumper setting at PS2 shield
  lcd.begin(16, 2);
}

void loop()
{
  if(millis() - tepTimer > 100){

    tepTimer = millis();
    
    while (ps2.readAllButton()==false); 
  
    przyciski = (ps2.ps_data[1]<<8 | ps2.ps_data[0]);
    
    lcd.clear();
    lcd.setCursor (0,0);
    
    for (int i = 0; i<=15; ++i){
      if (przyciski%2==0) {
        lcd.print (i);
        lcd.print (" ");
      }
    przyciski = przyciski >>1;
    }

    lcd.setCursor (0,1);
    lcd.print("X: ");
    lcd.print(ps2.ps_data[2]);
    
    lcd.setCursor (8,1);
    lcd.print("Y: ");
    lcd.print(ps2.ps_data[3]);
  }    
}
